# SPDX-License-Identifier: GPL-2.0 OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/qcom,q6prm.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm Proxy Resource Manager (Q6PRM)

maintainers:
  - Krzysztof Kozlowski <krzk@kernel.org>
  - Srinivas Kandagatla <srinivas.kandagatla@linaro.org>

allOf:
  - $ref: /schemas/soc/qcom/qcom,apr-services.yaml#

properties:
  compatible:
    enum:
      - qcom,q6prm

  clock-controller:
    $ref: /schemas/sound/qcom,q6dsp-lpass-clocks.yaml#
    unevaluatedProperties: false
    description: Qualcomm DSP LPASS clock controller

required:
  - compatible
  - clock-controller

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/soc/qcom,gpr.h>

    gpr {
        #address-cells = <1>;
        #size-cells = <0>;

        service@2 {
            reg = <GPR_PRM_MODULE_IID>;
            compatible = "qcom,q6prm";
            qcom,protection-domain = "avs/audio", "msm/adsp/audio_pd";

            clock-controller {
                compatible = "qcom,q6prm-lpass-clocks";
                #clock-cells = <2>;
            };
        };
    };
